## com.google.apphosting.api
Interface ApiProxy.Environment

Enclosing class:
  ApiProxy

    public static interface ApiProxy.Environment

Environment is a simple data container that provides additional information about the current request (e.g. who is logged in, are they an administrator, etc.).

Method Summary
`java.lang.String` `getAppId()` Gets the application identifier for the current application.
`java.util.Map<java.lang.String,java.lang.Object>` `getAttributes()` Get a `Map` containing any attributes that have been set in this `Environment`.
`java.lang.String` `getAuthDomain()` Returns the domain used for authentication.
`java.lang.String` `getEmail()` Gets the email address of the currently logged-in user.
`java.lang.String` `getRequestNamespace()` Deprecated. Use `NamespaceManager`.getGoogleAppsNamespace()
`java.lang.String` `getVersionId()` Gets the version identifier for the current application version.
`boolean` `isAdmin()` Returns true if the currently logged-in user is an administrator.
`boolean` `isLoggedIn()` Returns true if the user is logged in.

Method Detail

### getAppId

    java.lang.String getAppId()

  Gets the application identifier for the current application.

### getVersionId

    java.lang.String getVersionId()

  Gets the version identifier for the current application version. Result is of the form <major>.<minor>

### getEmail

    java.lang.String getEmail()

  Gets the email address of the currently logged-in user.

### isLoggedIn

    boolean isLoggedIn()

  Returns true if the user is logged in.

### isAdmin

    boolean isAdmin()

  Returns true if the currently logged-in user is an administrator.

### getAuthDomain

    java.lang.String getAuthDomain()

  Returns the domain used for authentication.

### getRequestNamespace

    @Deprecated
    java.lang.String getRequestNamespace()

  Deprecated. Use `NamespaceManager`.getGoogleAppsNamespace()

### getAttributes

    java.util.Map<java.lang.String,java.lang.Object> getAttributes()

  Get a `Map` containing any attributes that have been set in this `Environment`. The returned `Map` is mutable and is a useful place to store transient, per-request information.